=begin
Copyright 2021, Majid Mahmoudi
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Majid Mahmoudi
Organization - Distributed on the Extension Warehouse
Name - MAJ Rail
SU Version - 20.1.235

Description
This plugin will make any kind of rails simply.

Usage
This extension can make a rail.

History
0.0.1:: 2021-02-04
   * Original release.  I'm expecting some bugs and feedback.
0.0.2:: 2021-03-02
   * Solving Feet Unit problem,
   * Adding offsets
   * Adding type C
   * Solving type B handrail problem
1.0.5
   * Status Bar is always active
   * Porblems solved in MAC OS.
   * Arrow Keys used
=end


module MajidMahmoudi

  module MajRail            #EDIT
    require 'sketchup.rb'
    require 'extensions.rb'
    NAME = "MAJ_Rail"        #EDIT
    UNAME = "MAJ Rail"       #EDIT
    MENU_NAME = "Rail Maker"       #EDIT
    version = "1.0.5"           #EDIT
    desc = "This plugin will create rails."
    copy_year = "2021"
    author = "Majid Mahmoudi"

#------edit above---------------------------------------------------------------


    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_Data"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year

    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )

  end
end
